.TH wxNotebook 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxNotebook \- See external documentation: wxNotebook\&.
.SH DESCRIPTION
.LP
See external documentation: wxNotebook <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxNotebook()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxNotebook()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookwxnotebook>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Winid::integer()) -> wxNotebook()
.br
.RS
.LP
Equivalent to new(Parent, Winid, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Winid::integer(), Options::[Option]) -> wxNotebook()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookwxnotebook>\&.
.RE
.LP
.B
addPage(This::wxNotebook(), Page::wxWindow() (see module wxWindow), Text::string()) -> bool()
.br
.RS
.LP
Equivalent to addPage(This, Page, Text, [])\&.
.RE
.LP
.B
addPage(This::wxNotebook(), Page::wxWindow() (see module wxWindow), Text::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {bSelect, bool()} | {imageId, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookaddpage>\&.
.RE
.LP
.B
advanceSelection(This::wxNotebook()) -> ok
.br
.RS
.LP
Equivalent to advanceSelection(This, [])\&.
.RE
.LP
.B
advanceSelection(This::wxNotebook(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {forward, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookadvanceselection>\&.
.RE
.LP
.B
assignImageList(This::wxNotebook(), ImageList::wxImageList() (see module wxImageList)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookassignimagelist>\&.
.RE
.LP
.B
create(This::wxNotebook(), Parent::wxWindow() (see module wxWindow), Id::integer()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, [])\&.
.RE
.LP
.B
create(This::wxNotebook(), Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookcreate>\&.
.RE
.LP
.B
deleteAllPages(This::wxNotebook()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookdeleteallpages>\&.
.RE
.LP
.B
deletePage(This::wxNotebook(), NPage::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookdeletepage>\&.
.RE
.LP
.B
removePage(This::wxNotebook(), NPage::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookremovepage>\&.
.RE
.LP
.B
getCurrentPage(This::wxNotebook()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookgetcurrentpage>\&.
.RE
.LP
.B
getImageList(This::wxNotebook()) -> wxImageList() (see module wxImageList)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookgetimagelist>\&.
.RE
.LP
.B
getPage(This::wxNotebook(), N::integer()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookgetpage>\&.
.RE
.LP
.B
getPageCount(This::wxNotebook()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookgetpagecount>\&.
.RE
.LP
.B
getPageImage(This::wxNotebook(), NPage::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookgetpageimage>\&.
.RE
.LP
.B
getPageText(This::wxNotebook(), NPage::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookgetpagetext>\&.
.RE
.LP
.B
getRowCount(This::wxNotebook()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookgetrowcount>\&.
.RE
.LP
.B
getSelection(This::wxNotebook()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookgetselection>\&.
.RE
.LP
.B
getThemeBackgroundColour(This::wxNotebook()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookgetthemebackgroundcolour>\&.
.RE
.LP
.B
hitTest(This::wxNotebook(), Pt::{X::integer(), Y::integer()}) -> {integer(), Flags::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookhittest>\&.
.RE
.LP
.B
insertPage(This::wxNotebook(), Position::integer(), Win::wxWindow() (see module wxWindow), StrText::string()) -> bool()
.br
.RS
.LP
Equivalent to insertPage(This, Position, Win, StrText, [])\&.
.RE
.LP
.B
insertPage(This::wxNotebook(), Position::integer(), Win::wxWindow() (see module wxWindow), StrText::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {bSelect, bool()} | {imageId, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookinsertpage>\&.
.RE
.LP
.B
setImageList(This::wxNotebook(), ImageList::wxImageList() (see module wxImageList)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebooksetimagelist>\&.
.RE
.LP
.B
setPadding(This::wxNotebook(), Padding::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebooksetpadding>\&.
.RE
.LP
.B
setPageSize(This::wxNotebook(), Size::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebooksetpagesize>\&.
.RE
.LP
.B
setPageImage(This::wxNotebook(), NPage::integer(), NImage::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebooksetpageimage>\&.
.RE
.LP
.B
setPageText(This::wxNotebook(), NPage::integer(), StrText::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebooksetpagetext>\&.
.RE
.LP
.B
setSelection(This::wxNotebook(), NPage::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebooksetselection>\&.
.RE
.LP
.B
changeSelection(This::wxNotebook(), NPage::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnotebook\&.html#wxnotebookchangeselection>\&.
.RE
.LP
.B
destroy(This::wxNotebook()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
